Summary: Macintosh-like Virtual Window Manager
Name: mlvwm
Version: 0.7.1
Release: 2
Copyright: Unknown
Group: X11/Applications
Source: http://www.bioele.nuee.nagoya-u.ac.jp/member/tak/mlvwm/mlvwm-current.tar.gz
Source1: mini-icons.tar.gz
Patch0: mlvwm-dirs.patch
Patch1: mlvwm-0.7.1-config.patch
URL: http://www.bioele.nuee.nagoya-u.ac.jp/member/tak/mlvwm.html
#Author: tak@bioele.nuee.nagoya-u.ac.jp
BuildRoot: /tmp/mvlwm-build

%description
Release of Macintosh-like virtual window manager
(MLVWM). This products is an window manager on X11R6. This window
manager is developed under SunOS 4.1.4 with X11R6. This window manager
needs XPM library and Shape Extension.

%package icons
Group: X11
Summary: Extra mini-icons
Prefix: /usr/X11R6/lib/X11/mlvwm

%description icons
A set of more mini-icons for use with mlvwm

%prep
%setup -n mlvwm-current
%patch0 -p0
%patch1 -p1

%build
xmkmf -a
make CDEBUGFLAGS="$RPM_OPT_FLAGS"
cd dfinder
xmkmf
make CDEBUGFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/mlvwm/
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/bin
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/man/man1
install -s -m755 mlvwm/mlvwm $RPM_BUILD_ROOT/usr/X11R6/bin
install -m644 man/mlvwm.1 $RPM_BUILD_ROOT/usr/X11R6/man/man1
install -m644 pixmap/* $RPM_BUILD_ROOT/usr/X11R6/lib/X11/mlvwm/
install -m644 sample_rc/* $RPM_BUILD_ROOT/usr/X11R6/lib/X11/mlvwm/

install -s -m755 dfinder/dfinder $RPM_BUILD_ROOT/usr/X11R6/bin
install -m644 dfinder/*.xpm $RPM_BUILD_ROOT/usr/X11R6/lib/X11/mlvwm/
strip $RPM_BUILD_ROOT/usr/X11R6/bin/mlvwm
tar -zxf $RPM_SOURCE_DIR/mini-icons.tar.gz -C $RPM_BUILD_ROOT/usr/X11R6/lib/X11/mlvwm/
cd $RPM_BUILD_ROOT/usr/X11R6/lib/X11/mlvwm/
ln -s Mlvwmrc .mlvwmrc

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc ChangeLog.jp FAQ.jp README README.jp
/usr/X11R6/bin/dfinder
%dir /usr/X11R6/lib/X11/mlvwm
/usr/X11R6/lib/X11/mlvwm/garbage.xpm
/usr/X11R6/lib/X11/mlvwm/hd.xpm
/usr/X11R6/lib/X11/mlvwm/mask.xpm
/usr/X11R6/bin/mlvwm
/usr/X11R6/man/man1/mlvwm.1
/usr/X11R6/lib/X11/mlvwm/MailEmpty.xpm
/usr/X11R6/lib/X11/mlvwm/MailFull.xpm
/usr/X11R6/lib/X11/mlvwm/disk.xpm
/usr/X11R6/lib/X11/mlvwm/label1.xpm
/usr/X11R6/lib/X11/mlvwm/label2.xpm
%config /usr/X11R6/lib/X11/mlvwm/Mlvwmrc
%config /usr/X11R6/lib/X11/mlvwm/Mlvwmrc-Kterm
%config /usr/X11R6/lib/X11/mlvwm/Mlvwmrc-Netscape
%config /usr/X11R6/lib/X11/mlvwm/Mlvwmrc-j
%config /usr/X11R6/lib/X11/mlvwm/.mlvwmrc

%files icons
/usr/X11R6/lib/X11/mlvwm/mini-ball.xpm
/usr/X11R6/lib/X11/mlvwm/mini-bball.xpm
/usr/X11R6/lib/X11/mlvwm/mini-bomb.xpm
/usr/X11R6/lib/X11/mlvwm/mini-book1.xpm
/usr/X11R6/lib/X11/mlvwm/mini-book2.xpm
/usr/X11R6/lib/X11/mlvwm/mini-bug1.xpm
/usr/X11R6/lib/X11/mlvwm/mini-bug2.xpm
/usr/X11R6/lib/X11/mlvwm/mini-bx2.xpm
/usr/X11R6/lib/X11/mlvwm/mini-calc.xpm
/usr/X11R6/lib/X11/mlvwm/mini-camera.xpm
/usr/X11R6/lib/X11/mlvwm/mini-cdlabel.xpm
/usr/X11R6/lib/X11/mlvwm/mini-clock.xpm
/usr/X11R6/lib/X11/mlvwm/mini-colors.xpm
/usr/X11R6/lib/X11/mlvwm/mini-connect.xpm
/usr/X11R6/lib/X11/mlvwm/mini-cross.xpm
/usr/X11R6/lib/X11/mlvwm/mini-diff.xpm
/usr/X11R6/lib/X11/mlvwm/mini-display.xpm
/usr/X11R6/lib/X11/mlvwm/mini-doc.xpm
/usr/X11R6/lib/X11/mlvwm/mini-edit.xpm
/usr/X11R6/lib/X11/mlvwm/mini-exclam.xpm
/usr/X11R6/lib/X11/mlvwm/mini-exp.xpm
/usr/X11R6/lib/X11/mlvwm/mini-eyes.xpm
/usr/X11R6/lib/X11/mlvwm/mini-filemgr.xpm
/usr/X11R6/lib/X11/mlvwm/mini-fractal.xpm
/usr/X11R6/lib/X11/mlvwm/mini-frame.xpm
/usr/X11R6/lib/X11/mlvwm/mini-gball.xpm
/usr/X11R6/lib/X11/mlvwm/mini-gv.xpm
/usr/X11R6/lib/X11/mlvwm/mini-hammer.xpm
/usr/X11R6/lib/X11/mlvwm/mini-happy.xpm
/usr/X11R6/lib/X11/mlvwm/mini-hextris.xpm
/usr/X11R6/lib/X11/mlvwm/mini-lock.xpm
/usr/X11R6/lib/X11/mlvwm/mini-lower.xpm
/usr/X11R6/lib/X11/mlvwm/mini-mail.xpm
/usr/X11R6/lib/X11/mlvwm/mini-manual.xpm
/usr/X11R6/lib/X11/mlvwm/mini-max1.xpm
/usr/X11R6/lib/X11/mlvwm/mini-maze.xpm
/usr/X11R6/lib/X11/mlvwm/mini-modules.xpm
/usr/X11R6/lib/X11/mlvwm/mini-move.xpm
/usr/X11R6/lib/X11/mlvwm/mini-move1.xpm
/usr/X11R6/lib/X11/mlvwm/mini-nscape.xpm
/usr/X11R6/lib/X11/mlvwm/mini-ofolder.xpm
/usr/X11R6/lib/X11/mlvwm/mini-olwm.xpm
/usr/X11R6/lib/X11/mlvwm/mini-paint.xpm
/usr/X11R6/lib/X11/mlvwm/mini-pdf.xpm
/usr/X11R6/lib/X11/mlvwm/mini-pencil.xpm
/usr/X11R6/lib/X11/mlvwm/mini-perf.xpm
/usr/X11R6/lib/X11/mlvwm/mini-question.xpm
/usr/X11R6/lib/X11/mlvwm/mini-raise.xpm
/usr/X11R6/lib/X11/mlvwm/mini-ray.xpm
/usr/X11R6/lib/X11/mlvwm/mini-rball.xpm
/usr/X11R6/lib/X11/mlvwm/mini-resize.xpm
/usr/X11R6/lib/X11/mlvwm/mini-roach.xpm
/usr/X11R6/lib/X11/mlvwm/mini-run.xpm
/usr/X11R6/lib/X11/mlvwm/mini-sh.xpm
/usr/X11R6/lib/X11/mlvwm/mini-sh1.xpm
/usr/X11R6/lib/X11/mlvwm/mini-slon.xpm
/usr/X11R6/lib/X11/mlvwm/mini-start.xpm
/usr/X11R6/lib/X11/mlvwm/mini-stop.xpm
/usr/X11R6/lib/X11/mlvwm/mini-term.xpm
/usr/X11R6/lib/X11/mlvwm/mini-tetris.xpm
/usr/X11R6/lib/X11/mlvwm/mini-turn.xpm
/usr/X11R6/lib/X11/mlvwm/mini-windows.xpm
/usr/X11R6/lib/X11/mlvwm/mini-x.xpm
/usr/X11R6/lib/X11/mlvwm/mini-x2.xpm
/usr/X11R6/lib/X11/mlvwm/mini-xmahjongg.xpm
/usr/X11R6/lib/X11/mlvwm/mini-xv.xpm
/usr/X11R6/lib/X11/mlvwm/mini-zoom.xpm
/usr/X11R6/lib/X11/mlvwm/mini.audiovol.xpm
/usr/X11R6/lib/X11/mlvwm/mini.blah.xpm
/usr/X11R6/lib/X11/mlvwm/mini.bomb.xpm
/usr/X11R6/lib/X11/mlvwm/mini.checkmark.xpm
/usr/X11R6/lib/X11/mlvwm/mini.cut.xpm
/usr/X11R6/lib/X11/mlvwm/mini.destroy.xpm
/usr/X11R6/lib/X11/mlvwm/mini.excl.xpm
/usr/X11R6/lib/X11/mlvwm/mini.exit.xpm
/usr/X11R6/lib/X11/mlvwm/mini.eye.xpm
/usr/X11R6/lib/X11/mlvwm/mini.fvwm.xpm
/usr/X11R6/lib/X11/mlvwm/mini.iconify.xpm
/usr/X11R6/lib/X11/mlvwm/mini.letter.xpm
/usr/X11R6/lib/X11/mlvwm/mini.lower.xpm
/usr/X11R6/lib/X11/mlvwm/mini.maximize-horiz.xpm
/usr/X11R6/lib/X11/mlvwm/mini.maximize-vert.xpm
/usr/X11R6/lib/X11/mlvwm/mini.maximize.xpm
/usr/X11R6/lib/X11/mlvwm/mini.maximize2.xpm
/usr/X11R6/lib/X11/mlvwm/mini.move.xpm
/usr/X11R6/lib/X11/mlvwm/mini.netscape.xpm
/usr/X11R6/lib/X11/mlvwm/mini.rainbow.xpm
/usr/X11R6/lib/X11/mlvwm/mini.raise.xpm
/usr/X11R6/lib/X11/mlvwm/mini.refresh.xpm
/usr/X11R6/lib/X11/mlvwm/mini.resize.xpm
/usr/X11R6/lib/X11/mlvwm/mini.stick.xpm
/usr/X11R6/lib/X11/mlvwm/mini.stick2.xpm
/usr/X11R6/lib/X11/mlvwm/mini.xarchie.xpm
/usr/X11R6/lib/X11/mlvwm/mini.xbiff.xpm
/usr/X11R6/lib/X11/mlvwm/mini.xboing.xpm
/usr/X11R6/lib/X11/mlvwm/mini.xlock.xpm
/usr/X11R6/lib/X11/mlvwm/mini.xmag.xpm
/usr/X11R6/lib/X11/mlvwm/mini.xman.xpm
/usr/X11R6/lib/X11/mlvwm/mini.xpaint.xpm
/usr/X11R6/lib/X11/mlvwm/mini.xpm
/usr/X11R6/lib/X11/mlvwm/mini.xterm.xpm
/usr/X11R6/lib/X11/mlvwm/mini.zircon.xpm
